Bug 1872473 (CVE-2020-14363)

Summary: CVE-2020-14363 libX11: integer overflow leads to double free in locale handling
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: ajax, caillon+fedoraproject, dmoppert, ecrosby, jglisse, john.j5live, mdaenzer, mvanderw, peter.hutterer, rhughes, rstrode, sandmann
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libX11 1.6.12 Doc Type: If docs needed, set a value
Doc Text:
An integer overflow vulnerability leading to a double-free was found in libX11. This flaw allows a local privileged attacker to cause an application compiled with libX11 to crash, or in some cases, result in arbitrary code execution. The highest threat from this flaw is to confidentiality, integrity as well as system availability.
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-11-04 20:21:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1872474, 1873923, 1873920, 1873921, 1873922    
Bug Blocks: 1862265    

Description Guilherme de Almeida Suckevicz 2020-08-25 20:54:47 UTC
There is an integer overflow and a double free vulnerability in the way LibX11 handles locales. The integer overflow is a necessary precursor to the double free.

Comment 1 Guilherme de Almeida Suckevicz 2020-08-25 20:55:06 UTC
Created libX11 tracking bugs for this issue:

Affects: fedora-all [bug 1872474]

Comment 3 Doran Moppert 2020-08-27 00:46:11 UTC
*** Bug 1872572 has been marked as a duplicate of this bug. ***

Comment 4 Huzaifa S. Sidhpurwala 2020-08-31 03:27:22 UTC
External References:

https://lists.x.org/archives/xorg-announce/2020-August/003056.html

Comment 7 RaTasha Tillery-Smith 2020-09-01 14:32:47 UTC
Statement:

Xorg server does not run with root privileges in Red Hat Enterprise Linux 8. Therefore this flaw has been rated as having a moderate impact for Red Hat Enterprise Linux 8.

Comment 16 errata-xmlrpc 2020-11-04 14:08:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4908 https://access.redhat.com/errata/RHSA-2020:4908

Comment 17 Product Security DevOps Team 2020-11-04 20:21:29 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-14363

Comment 20 errata-xmlrpc 2020-11-05 09:42:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:4946 https://access.redhat.com/errata/RHSA-2020:4946